Name: ash
Version: 0.3.8
Release: alt4

Packager: Stanislav Ievlev <inger@altlinux.ru>

Summary: A smaller version of the Bourne shell
License: BSD
Group: Shells

Source: ftp://ftp.debian.org/debian/dists/woody/main/source/shells/%{name}_%version.orig.tar.gz

Patch0: ftp://ftp.debian.org/debian/dists/woody/main/source/shells/%{name}_%version-38.diff
Patch1: ash-0.3.7-alpha.patch
Patch2: %name-0.3.8-alt-losetup.patch

PreReq: fileutils, grep
Conflicts: mkinitrd <= 1.7

Prefix: %prefix

# Automatically added by buildreq on Tue Oct 16 2001
BuildRequires: byacc glibc-core glibc-gconv-modules glibc-locales glibc-nss groff pmake

%description
The %name shell is a clone of Berkeley's Bourne shell.  Ash
supports all of the standard sh shell commands, but is considerably
smaller than bash.  The %name shell lacks some features (for example,
command-line histories), but needs a lot less memory.

You should install %name if you need a lightweight shell with many of the
same capabilities as the bash shell.

%package static
Summary: A smaller version of the Bourne shell statically linked
License: BSD
Group: Shells

%description static
The %name shell is a clone of Berkeley's Bourne shell.  Ash
supports all of the standard sh shell commands, but is considerably
smaller than bash.  The %name shell lacks some features (for example,
command-line histories), but needs a lot less memory.

You should install %name if you need a lightweight shell with many of the
same capabilities as the bash shell.

This version is statically compiled.

%prep
%setup -q -n %name-%version.orig
%patch0 -p1
%ifarch alpha
%patch1 -p1
%endif
%patch2 -p1

perl -pi -e 's@\$\(tempfile\)@`mktemp \$TMPDIR/ashXXXXXX`@' mkbuiltins
find -type f -name \*.orig -print0 |
	xargs -r0 rm -f

%build
chmod u+x debian/bsdyacc
pmake CFLAGS="${RPM_OPT_FLAGS} \
    -DBSD=1 -DSMALL -D_GNU_SOURCE \
    -DGLOB_BROKEN -D__COPYRIGHT\(x\)= \
    -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=" \
    YACC=`pwd`/debian/bsdyacc
mv sh sh.dynamic

pmake CFLAGS="${RPM_OPT_FLAGS} \
    -DBSD=1 -DSMALL -D_GNU_SOURCE \
    -DGLOB_BROKEN -D__COPYRIGHT\(x\)= \
    -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=" \
    YACC=`pwd`/debian/bsdyacc LDFLAGS="-static"
mv sh sh.static

%install
install -p -m755 -D sh.dynamic $RPM_BUILD_ROOT/bin/%name
install -p -m755 -D sh.static $RPM_BUILD_ROOT/bin/%name.static
ln -s %name $RPM_BUILD_ROOT/bin/bsh

install -p -m644 -D sh.1 $RPM_BUILD_ROOT%_mandir/man1/%name.1
ln -s %name.1 $RPM_BUILD_ROOT%_mandir/man1/bsh.1

%post
if ! grep -qs '^/bin/%name$' /etc/shells; then echo /bin/%name >>/etc/shells; fi
if ! grep -qs '^/bin/bsh$' /etc/shells; then echo /bin/bsh >>/etc/shells; fi

%postun
if [ $1 = 0 ]; then
    perl -ni -e 'm|^/bin/[ab]sh$| or print' /etc/shells
fi

%verifyscript
for n in %name bsh; do
	echo -n "Looking for $n in /etc/shells... "
	if ! grep -qs "^/bin/${n}\$" /etc/shells; then
		echo missing
		echo "${n} missing from /etc/shells" >&2
	else
		echo "found"
	fi
done

%files
/bin/%name
/bin/bsh
%_mandir/man1/*

%files static
/bin/%name.static
%doc debian/README.debian

%changelog
* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.8-alt4
- rebuild
- update debian patch (-38)

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.3.8-alt3
- Added losetup builtin.

* Tue Oct 16 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3.8-alt2
- fix Buildreqs

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3.8-alt1
- 0.3.8
- Move to Debian ash

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 0.2-ipl24mdk
- RE adaptions.

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-24mdk
- upgrade test.c to get at least [ -e ] evaluation.

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-23mdk
- Split -static package and classic.

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2-22mdk
- BM

* Wed Mar 22 2000 Daouda LO <daouda@mandrakesoft.com> 0.2-21mdk
- match new group architecture

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix bogosity with fd's > 0 (r).
- fix builtin echo to understand -n & -e at the same time (r).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- correct download URL

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- build on glibc 2.1

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- updated to correct path on SunSITE.

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made /bin/ash built shared
- added ash.static
- uses a buildroot and %attr

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- statically linked

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- fixed preinstall script to >> /etc/shells for bsh.
